# Searches for payments using predefined parameters Searches for payments using predefined parameters Endpoint: POST /payments/{tenantId}/search Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Query parameters: - `exclusiveStartKey` (string) The start key for the search, for paging support - `fieldsToReturn` (string) The fields that you want to retrieve; if omitted, the entire object is returned ## Request fields (application/json): - `bank_account_id` (array) - `batch_id` (array) - `business_unit_id` (string, required) The business unit - `contact_id` (string) - `credit_card_type` (array) - `date` (array) - `id` (array) - `merchant_account_id` (array) - `number` (array) - `organization_id` (string) - `owner_type` (string) - `reference_number` (string) - `status` (array) - `total` (array) - `total_in_base_currency` (array) - `transaction_id` (array) - `type` (array) ## Response 200 fields (application/json): - `Items` (array) - `Items.bank_account_id` (string) - `Items.base_currency_symbol` (string) - `Items.batch_id` (string) - `Items.business_unit_id` (string, required) The business unit - `Items.contact_id` (string) - `Items.credit_card_type` (string) - `Items.currency_symbol` (string) - `Items.date` (string) - `Items.id` (string) - `Items.merchant_account_id` (string) - `Items.number` (number) - `Items.organization_id` (string) - `Items.owner_type` (string) - `Items.reference_number` (string) - `Items.status` (string) - `Items.total` (number) - `Items.total_in_base_currency` (number) - `Items.transaction_id` (string) - `Items.type` (string) - `LastEvaluatedKey` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields